FreeMat

- Main Page
- Related Pages

vtkTransformPolyDataFilter

Section: Visualization Toolkit Graphics Classes

# Usage

vtkTransformPolyDataFilter is a filter to transform point coordinates and associated point and cell normals and vectors. Other point and cell data is passed through the filter unchanged. This filter is specialized for polygonal data. See vtkTransformFilter for more general data.

An alternative method of transformation is to use vtkActor's methods to scale, rotate, and translate objects. The difference between the two methods is that vtkActor's transformation simply effects where objects are rendered (via the graphics pipeline), whereas vtkTransformPolyDataFilter actually modifies point coordinates in the visualization pipeline. This is necessary for some objects (e.g., vtkProbeFilter) that require point coordinates as input.

To create an instance of class vtkTransformPolyDataFilter, simply invoke its constructor as follows

      obj = vtkTransformPolyDataFilter

# Methods

The class vtkTransformPolyDataFilter has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkTransformPolyDataFilter class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkTransformPolyDataFilter = obj.NewInstance ()`
- `vtkTransformPolyDataFilter = obj.SafeDownCast (vtkObject o)`
- `long = obj.GetMTime ()` - Return the MTime also considering the transform.
- `obj.SetTransform (vtkAbstractTransform )` - Specify the transform object used to transform points.
- `vtkAbstractTransform = obj.GetTransform ()` - Specify the transform object used to transform points.